Уязвимость BDU:2022-02467

Дата: 25.07.2016. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02467.

Наименование уязвимости: Уязвимость функции exif_process_user_comment (ext/exif/exif.c) интерпретатора языка программирования PHP, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции exif_process_user_comment (ext/exif/exif.c) интерпретатора языка программирования PHP связана с ошибками разыменования указателей. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 12.04 | Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Операционная система Debian GNU/Linux 8 | Операционная система Debian GNU/Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 ESM | Прикладное ПО информационных систем PHP Group PHP до 5.5.38 | Прикладное ПО информационных систем PHP Group PHP от 5.6.0 до 5.6.24 | Прикладное ПО информационных систем PHP Group PHP от 7.0 до 7.0.9 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1204 32-bit | Debian GNU/Linux 9 | Ubuntu 1404 ESM | Debian GNU/Linux 8 | Debian GNU/Linux 7 | Ubuntu 1604 ESM |
Дата выявления: 25.07.2016.
CVSS 2.0: AV:N/AC:M/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,1)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
http://openwall.com/lists/oss-security/2016/07/24/2

http://git.php.net/?p=php-src.git;a=commit;h=41131cd41d2fd2e0c2f332a27988df75659c42e4

Для Ubuntu
https://ubuntu.com/security/CVE-2016-6292

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2016-6292.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2016-6292.

Тип ошибки CWE: CWE-476
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://openwall.com/lists/oss-security/2016/07/24/2
http://php.net/ChangeLog-7.php
http://php.net/ChangeLog-5.php
http://git.php.net/?p=php-src.git;a=commit;h=41131cd41d2fd2e0c2f332a27988df75659c42e4
https://bugs.php.net/72618
http://www.securityfocus.com/bid/92078
https://support.apple.com/HT207170
http://lists.apple.com/archives/security-announce/2016/Sep/msg00006.html
https://security.gentoo.org/glsa/201611-22
http://www.securitytracker.com/id/1036430
http://www.debian.org/security/2016/dsa-3631
http://rhn.redhat.com/errata/RHSA-2016-2750.html

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.